Bug 1287064 - [RFE] SSH Key Management for OpenStack Cloud
[RFE] SSH Key Management for OpenStack Cloud
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers (Show other bugs)
5.6.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Marek Aufart
Einat Pacifici
openstack
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 07:22 EST by John Hardy
Modified: 2017-07-03 06:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-03 06:08:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Hardy 2015-12-01 07:22:27 EST
Allow for CLOUDFORMS Management Engine to manage SSH keys for instance/virtual machine access. We should support;

- Adding new keys
- removing old keys

The key management should work with tenancy, that from the org level I should as super admin be able to manage all keys, but within tenant I should be limited in scope.

Users should be able to retrieve their keys, if approved by an admin?
Comment 3 CFME Bot 2016-01-23 13:55:48 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/9bb171758e5b7040472d43a3c4d450ededa78a0f

commit 9bb171758e5b7040472d43a3c4d450ededa78a0f
Author:     Marek Aufart <maufart@redhat.com>
AuthorDate: Thu Dec 3 16:08:44 2015 +0100
Commit:     Marek Aufart <maufart@redhat.com>
CommitDate: Thu Jan 7 14:42:06 2016 +0100

    Add Openstack keypairs create/delete methods
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1287064

 .../providers/cloud_manager/auth_key_pair.rb       | 17 ++++++
 .../cloud_manager/auth_key_pair/operations.rb      | 60 ++++++++++++++++++++++
 .../openstack/cloud_manager/auth_key_pair.rb       | 27 ++++++++++
 .../providers/cloud_manager/auth_key_pair_spec.rb  | 34 ++++++++++++
 .../openstack/cloud_manager/auth_key_pair_spec.rb  | 41 +++++++++++++++
 5 files changed, 179 insertions(+)
 create mode 100644 app/models/manageiq/providers/cloud_manager/auth_key_pair/operations.rb
 create mode 100644 spec/models/manageiq/providers/cloud_manager/auth_key_pair_spec.rb
 create mode 100644 spec/models/manageiq/providers/openstack/cloud_manager/auth_key_pair_spec.rb

Note You need to log in before you can comment on or make changes to this bug.